Dashboard: conflicting data (results pages opened vs result sets per day)
Closed, ResolvedPublic3 Story Points

Description

Kevin noticed that in the Desktop>Events tab, the graph shows ~20k+ "results pages opened" per day but the info box at the top shows ~2k "result sets per day"

This appears to be an issue in the Mobile>Events tab as well.

mpopov created this task.Sep 2 2015, 10:50 PM
mpopov updated the task description. (Show Details)
mpopov raised the priority of this task from to High.
mpopov added a project: Discovery.
mpopov added a subscriber: mpopov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 10:50 PM
mpopov renamed this task from Dashboard: to Dashboard: conflicting data (results pages opened vs result sets per day).Sep 2 2015, 10:51 PM
mpopov set Security to None.
mpopov moved this task from Needs triage to Analysis on the Discovery board.
Ironholds claimed this task.Sep 4 2015, 7:25 PM
Ironholds edited a custom field.
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Kevin is right! The infobox is borked. Will fix for both now.

Okay, this is bizarre. It works perfectly on my local and all the code /should/ be working fine.

What happens if we start/stop shiny server? (can we actually do that? @EBernhardson ?)

To summarise; what appears to be happening is that the first two fields are offset. A consequence of this is that "results pages opened" is actually a count of the number of clickthroughs and the clickthrough count is the number of form submissions. But I can't see any reason in the code why this would be happening, and indeed it _doesn't_ happen anywhere else.

I've manually checked the Shiny instance and the code there looks good. Wat.

mpopov added a comment.Sep 8 2015, 3:51 PM

To restart Shiny Server: cd /srv/dashboards; mwvagrant ssh -- sudo service shiny-server restart

To do more complex things inside the container where Shiny Server lives: mwvagrant ssh this will stick you right in the shell. From there you can do things like sudo R and then install.packages() if you don't want to wait for a re-provision from setup.sh (where packages you want installed should live)

Restarting didn't help. This is goddamn weird.

Ironholds edited a custom field.

Change 236843 had a related patch set uploaded (by OliverKeyes):
Fix ValueBox bug

https://gerrit.wikimedia.org/r/236843

Change 236843 merged by Bearloga:
Fix ValueBox bug

https://gerrit.wikimedia.org/r/236843

Change is in. Updated dashboards is deploying later today.

Deskana closed this task as Resolved.Sep 24 2015, 4:05 AM
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.
Deskana added a subscriber: Deskana.